#!/bin/sh

pvmdir=$HOME/pvm3/bin/$PVM_ARCH
mkdir -p $pvmdir
cp mbp_ctest_west mbp_ctest_east $pvmdir
echo "quit" | pvm > /dev/null
if test $? -eq 1; then
  exit 1
fi

$pvmdir/mbp_ctest_west &
west=$!
$pvmdir/mbp_ctest_east &
east=$!

wait $west
if test $? -ne 0; then
  exit 1
fi
wait $east
if test $? -ne 0; then
  exit 1
fi

ps -u $USER -o pid,comm | grep pvmd3 > /tmp/pkill-$USER
pid=`awk '{ print $1 }' /tmp/pkill-$USER`
kill -TERM $pid
exit 0
