/**
 * $Author: iyoon $
 * $Date: 2005/07/16 03:22:23 $
 * $Revision: 1.1.2.1 $
 * $Source: /fs/schisto7/parti/repository/InterComm/examples/rainbow/Attic/pvm_tls.h,v $
 * 
 * Modified by Il-Chul Yoon <iyoon@cs.umd.edu>
 */

#ifndef PVM_TLS_H
#define PVM_TLS_H

#ifdef __cplusplus
extern "C" {
int init_pvm(int argc, char** argv, char* groupName, int* nTask, int* rank);  
int init_pvm_mfile(int argc, char** argv, char* groupName, int* nTask, int* rank);
int pvm_startup(int argc, char* argv[]);
int pvm_dupgroup(char* groupname, int r);
int pvm_allgather(char* groupname, int status, int msgtag);
int get_ntask(int argc, char **argv);
char* get_machinefile(int argc, char **argv);
}
#else 

int init_pvm(int argc, char** argv, char* groupName, int* nTask, int* rank);
int init_pvm_mfile(int argc, char** argv, char* groupName, int* nTask, int* rank);
int pvm_startup(int argc, char* argv[]);
int pvm_dupgroup(char* groupname, int r);
int pvm_allgather(char* groupname, int status, int msgtag);
int get_ntask(int argc, char **argv);
char* get_machinefile(int argc, char **argv);
#endif

#endif /* PVM_UTILS_H */
